/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */

package com.liferay.frontend.icons.web.internal.validator;

import com.liferay.petra.string.CharPool;
import com.liferay.portal.kernel.util.StringUtil;
import com.liferay.portal.kernel.util.Validator;

/**
 * @author Bryce Osterhaus
 */
public class FrontendIconsPackValidator {

	public static boolean isValidName(String name) {

		// Only alphanumeric characters, dashes, and underscores are allowed

		String trimmedName = name.trim();

		if (trimmedName.length() != name.length()) {
			return false;
		}

		name = StringUtil.removeChars(name, CharPool.DASH, CharPool.UNDERLINE);

		if (!Validator.isAlphanumericName(name)) {
			return false;
		}

		return true;
	}

}